Package org.apache.sling.validation.model.spi

# Interface ValidationModelRetriever

@ProviderType public interface ValidationModelRetriever
Retrieves the validation model.

## Method Summary

Modifier and Type
Method
Description
`@Nullable ValidationModel`
`getValidationModel(@NotNull String resourceType, String resourcePath, boolean considerResourceSuperTypeModels)`
A validation model for the given resourceType at the given resourcePath

## Method Details

### getValidationModel

@Nullable @Nullable ValidationModel getValidationModel(@NotNull @NotNull String resourceType, String resourcePath, boolean considerResourceSuperTypeModels)
A validation model for the given resourceType at the given resourcePath

Parameters:
  `resourceType` - the resource type for which to retrieve the model
  `resourcePath` - may be `null` or empty
  `considerResourceSuperTypeModels` - `true` if a merged validation model considering even the models of the super resource types should be returned, otherwise `false`
Returns:
  a validation model which should be used for validation or `null`, if no validation model could be found
Throws:
  `IllegalStateException` - in case some error occurred during looking up models